# <b># MagicPlugin</b>

Adds 7 early game magic weapons, 5 mid-game, 8 end-game, 3 armor sets, 5 eitr foods, 7 summonable creatures, 6 magical belts, 4 magical hats, 5 rings, 5 earrings, 5 necklaces, and 3 magic books.
<br/>

![](https://i.ibb.co/Qk9wCvn/ss8.png)
![](https://i.ibb.co/dWJSqjn/ss1.png)
![](https://i.ibb.co/7QVMbxR/ss2.png)
![](https://i.ibb.co/PzQSwPV/ss3.png)
![](https://i.ibb.co/ZHKWSrz/ss7.png)
[![Watch the video](https://i.imgur.com/vKb2F1B.png)](https://www.youtube.com/watch?v=g-Okgy7TPwo)

<br/>

>## ## Installation (manual)

- extract `MagicPlugin.dll` file to your `BepInEx\plugins\` folder.

</br>

>## ## Features

- Configurable velocity and accuracy.
- Configurable exp multipliers for elemental magic and blood magic.
- Adds 3 new early game Magic Weapons called Surtling Staff, Eikthyrs Staff and Neck Totem and 5 new mid game Magic Weapon called Staff of Healing, Wolf Totem, Arctic Staff, Crystal Totem and Poison Staff.
- Adds 4 new early game magical wands that will grow stronger as the player progress and 2 magical books that will help you early game.
- Adds 2 new armors with set effect called Black Forest Eitr-Hood and Black Forest Eitr-Cape which increases your eitr regen by 10%.
- Adds 4 new armors with set effect called Polarwolf Hood, Polarwolf Tunic, Polarwolf Trouser, and Cultist Cape which gives cold and freezing resist and increases your eitr regen by 25%.
- Adds 4 new armors with eitr regen per piece called Red Wizard Hood with poison resist, Red Wizard Sleeves with fire resist, Red Wizard Trouser, and Red Wizard Cape with frost resist and feather fall.
- Adds 3 new Eitr Foods that is centered on the useless yellow mushroom called Mushroom Jam, Sauted Meat 'N Mushroom and Mushroom Pie which will give you a total of 76 Eitr. Now you have another reason to go Burial Chamber hunting besides farming surtling cores.
- Adds 2 new Eitr Foods called Mountain Soup and Mountain Stew together with Mushroom Pie will give you a total of 124 Eitr whis is the prerequisite in using the Wolf Totem.
- Adds 6 new magical belts that will help you on your magical journey called Dvergrs Belt, Wizards Belt, Elementalist Belt, Hogwarts Belt, Haldors Belt, and Necromancers Belt.
- Adds 3 new end-game magical scepters with secondary attacks called Flame Scepter, Ice Scepter and lightning scepter.
- Adds 4 new magical hats called Beginners Wizard Hat, Advance Wizard Hat, Red Wizard Hat, and Shaman Hat.
- Configurable cooldown timer, chop/pickaxe damage, fire/lightning/frost damage, blunt/pierce damage and attack force.
- Configurable magic source, you can use either Eitr, Stamina or Both.
- Configurable Eitr regen amount.
- Configurable food stats.
- Configurable summons health and attack damages.
- Configurable Heal Overtime, Heal duration, Heal interval, Heal cooldown, and Heal range.
- You can now heal yourself, your summon, your tames/pet and supposedly other chars if you have Groups by smoothbrain installed.
- Uses ServerSync and built in config watcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

>** Surtling Staff (Elemental Magic)(Fire Damage)
- Can be used to demolish a whole forest.
- Tool tier is determined by its quality level.
- Level 1 for Beech Trees, Level 2 for Birch Trees and so on. 
- Configurable Base Tree Damage which is scaled by your woodcutting skill level for more damage to trees.
- AOE Range is scaled by your elemental magic skill level.
- The higher your elemental magic skill level the wider the AOE.
- You can get a small fraction of exp for woodcutting skill when hitting trees with the staff.
- And you can get elemental magic exp for killing monsters or wild animals.

>** Eikthyrs Staff (Elemental Magic)(Lightning Damage)
- Can be used to demolish rocks and minerals.
- Tool tier is determined by its quality level.
- AOE Range is scaled by your elemental magic skill level.
- You can get a small fraction of exp for pickaxes skill when destroying rocks/minerals with the staff.
- You can get elemental magci exp for killing monsters or wild animals.

>** Arctic Staff (Elemental Magic)(Frost Damage)
- Can be crafted after you've killed Modder.

>** Neck Totem (Blood Magic)
- Early game summoning magic weapon.  
- Used to summon Neckzilla to fight alongside you.
- Uses stamina insterd of eitr.
- Max summon and Max star of Neckzilla is determined by your Neck Totems quality level and your Blood Magic Skill Level.
- Upto 4 three Star Neckzilla can be summoned at Max quality level Neck Totem and level 100 blood magic skill.

>** Wolf Totem (Blood Magic)
- Mid-game summoning magic weapon.
- Used to summon Occultist.
- Can only use to summon at level 40 blood magic.
- Upto 2 three star Occultist can be summoned at max level bloodmagic skill.

>** Staff of Healing (Blood Magic)
- Mid-game healing staff.
- Can heal yourself, your summon, and other players if you have Groups installed by smoothbrain. (not tested).

>** Crystal Totem (Blood Magic)
- Mid-game summoning magic weapon.
- Used to summon elemental creatures.

>** Skull Totem (Blood Magic)
- End-game summoning magic weapon.
- Summons armored skeletons.

>** Poison Staff (Elemental Magic) (Poison Damage)
- Mid-game magic staff.

>** Moders Heritage (Elemental Magic)
- End-game boss weapon forge from moders trophy.
- Spawns moders ice shower to the closest enemy so becareful when using this weapon.
- Consumes 100 Eitr and 30 Stamina (Configurable).

>** Yagluths Heritage (Elemental Magic)
- End-game boss weapon forge from yagluths trophy.
- Spawns yagluths meteor shower to the closest enemy so becareful when using this weapon.
- Consumes 100 Eitr and 30 Stamina (Configurable).

<br/>

<details>
<summary><b>PrefabNames</b> (<i>click to expand</i>)</summary>

BMP_FlameWand<br/>
BMP_IceWand<br/>
BMP_LightningWand<br/>
BMP_PoisonWand<br/>
BMP_AdvanceMagicBook<br/>
BMP_BeginnersMagicBook<br/>
BMP_FlameScepter<br/>
BMP_IceScepter<br/>
BMP_LightningScepter<br/>
BMP_AdvanceWizardHat<br/>
BMP_BeginnersWizardHat<br/>
BMP_ShamanHat<br/>
BMP_RedWizardHat<br/>
BMP_ArcticStaff<br/>
BMP_EikthyrsStaff<br/>
BMP_LightningStaff<br/>
BMP_HealStaff<br/>
BMP_NeckTotem<br/>
BMP_SurtlingStaff<br/>
BMP_WolfTotem<br/>
BMP_PoisonStaff<br/>
BMP_CrystalTotem<br/>
BMP_SkullTotem<br/>
BMP_ModersInheritence<br/>
BMP_YagluthsInheritence<br/>
BMP_TrollMagicCape<br/>
BMP_TrollMagicHood<br/>
BMP_CultistCape<br/>
BMP_PolarWolfChest<br/>
BMP_PolarWolfHood<br/>
BMP_PolarWolfLegs<br/>
BMP_RedWizardHelm<br/>
BMP_RedWizardChest<br/>
BMP_RedWizardLegs<br/>
BMP_RedWizardCape<br/>
BMP_MountainSoup<br/>
BMP_MountainStew<br/>
BMP_MushroomJam<br/>
BMP_MushroomPie<br/>
BMP_SautedMeatMushroom<br/>
BMP_DvergrBelt<br/>
BMP_EitrBelt<br/>
BMP_ElementalistBelt<br/>
BMP_HogwartsBelt<br/>
BMP_LightBelt<br/>
BMP_NecromancerBelt<br/>
<br/>
</details>
<br/>